aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2023-04-04 06:55:50 -0300
committerEuAndreh <eu@euandre.org>2023-04-04 06:55:50 -0300
commitb5b45e8701aa2a76acd8871a87ab4377942d30ad (patch)
treebfe5e221de5ecc28f10806b8dac0e37f121a3de1 /bin
parentshare/aux/cases/cp_if/aux/po4a-cfg.sh: Understand "*.html" as xhtml (diff)
downloaddotfiles-b5b45e8701aa2a76acd8871a87ab4377942d30ad.tar.gz
dotfiles-b5b45e8701aa2a76acd8871a87ab4377942d30ad.tar.xz
bin/vcs: Also consider to be under Git when both $GIT_{DIR,WORK_TREE} are set
Diffstat (limited to 'bin')
-rwxr-xr-xbin/vcs2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/vcs b/bin/vcs
index ed50b68..a1731ed 100755
--- a/bin/vcs
+++ b/bin/vcs
@@ -13,7 +13,7 @@ cvs
guess_type() {
- if [ -e "$1"/.git ]; then
+ if [ -e "$1"/.git ] || ([ -n "${GIT_DIR:-}" ] && [ -n "$GIT_WORK_TREE" ]); then
echo git
elif [ -e "$1"/.hg ]; then
echo mercurial